;;; ~/.doom.d/config.el -*- lexical-binding: t; -*-

;; Set font
(setq doom-font (font-spec :family "FuraCode NF" :size 12))
(pcase (system-name)
  ("zuk"
   (font-put doom-font :size 15)) ;; Wayland support for high HDPI scaling has some issues. Increasing the font size works
)
;; Orgmode
;; Set orgmode dir
(custom-set-variables '(org-directory "~/org"))
;; Default location for image location.
(setq-default org-download-image-dir "~/org/resources/")
;; Enable word wrap
(add-hook 'org-mode-hook #'visual-line-mode)
;; Orgmode: Enable md export
(eval-after-load "org" '(require 'ox-md nil t))
;; Deft:    Set path to Org-mope Directory
(setq deft-directory "~/org/")

;; Have projectile automatically check code.
(setq projectile-project-search-path '("~/code/"))

(setq doom-localleader-key ",")
